Preamble:
Alles, was Kursiv markiert wurde, stammt aus einer Zeit vor der Aufspaltung der Gruppe und wurde von der anderen Gruppenhälfte gemacht.
Vieles ist aber nicht genau zuzuweisen, da einiges in Zusammenarbeit geschehen ist oder auf der Arbeit von anderen Aufbaut. Es wurde lieber zu viel als zu wenig markiert.

# User Research

Document your user research (plan and findings).


## Problem  

Junge Menschen, insbesondere solche mit Neurodivergenzen (wie Autismus oder ADHS), haben oft Schwierigkeiten, sich für einen festgelegten Zeitpunkt oder Zeitraum auf ein Thema zu konzentrieren, ohne abgelenkt zu werden, es zu vergessen oder aufzuschieben.


## Criteria / Assumptions of our users

_Es gibt eine App, die es ermöglicht, seine gesetzten Ziele kurz- und mittelfristig zu erreichen und dadurch einen Mehrwert im Alltag zu erlangen._

1. _Die App bietet Timer-Widgets für verschiedene Aktionen wie beispielsweise Erinnerungen daran, etwas zu trinken. Diese Widgets können für bestimmte Zeitintervalle aktiviert werden und erinnern den Nutzer durch Töne und/oder Toast-Benachrichtigungen auf dem Bildschirm seines Mobilgeräts._

2. _Es gibt eine App, die es ermöglicht, seine gesetzten Ziele kurz- und mittelfristig zu erreichen und dadurch einen Mehrwert im Alltag zu erlangen._

3. _Für das Lernen innerhalb eines definierten Zeitraums kann ein zeitbasiertes Punktesystem genutzt werden, um sich in den Pausen abzulenken und motiviert zu bleiben._

4. _Alle aktiven Aktivitäten und Widgets liefern Metriken auf einem separaten Bildschirm, sodass der Nutzer jederzeit sehen kann, wie nah er seinen Zielen bereits gekommen ist._

_Zusätzlich kann jeder Nutzer einen (oder mehrere) "Buddy" registrieren, der Zugang zu den Metriken hat und ihn motivieren kann, indem er Nachrichten oder Emojis (einschließlich Cheer und Glitzer) sendet._




## Hypothesis

Tracking user habits will increase productivity and lessen wasted time and burnout.

Tracking user habits will build up consistency, increase productivity, motivation and health as well as lessening time spent on planning the daily workload.


## Online Poll Questions


### Questions about Scheduling

Are you planning/scheduling your days? (y/n)

How far ahead do you plan? [] I do not plan at all. [] A day at most. [] I plan a week in advance. [] I plan up to a month ahead, or longer.

If you plan your days, how likely are you to stick to that plan? 1 (v)

Of all the tasks you plan to do at the start of a day, how many of them do you finish at the end of a day? 1 (None) to 5 (All)


### Questions about work/life

Do the following statements apply to you? Rate them on a scale from 1 (Hard Disagree) to 5 (Hard Agree).

I am prone to losing track of what I want to do in a day.

I am often unsatisfied with what I achieved that day.

I regularly spend more time with Video games, Social Media or other sources of distraction than I would like to.

I am satisfied with my work-life-balance.

### Questions about Non-Achieving of tasks

When you do not doing a task, what are the main reasons:
- I forgot
- I found myself demotivated
- I lacked time


### Questions about Outward influence

Do you find yourself achieving better/more when reminded/encouraged?

Have you worked with other apps to tackle these issues?

How successful were you?


### Personal Questions

Do you have any suspected or diagnosed Neurodivergencies (Autism, ADHD, ...)

How old are you? [>14, 14-18, 18-25, 25-35, 35-50, 50+]
 

## User Questions

### Intro
---
_Personen aus Studienkontext suchen (bspw. D14, Infotreff, usw) und nach kurzem Interview fragen - HCI erwähnen!_
_Gespräch mit lockerem Small-Talk beginnen -> angenehme Atmosphere_
_Wichtig dabei ist:_
- dass wir uns vorstellen
- der Person keine Zeit rauben
- sympatisch rüberkommen
- nicht aufdringlich sind
- auf die Reaktion der Person warten ohne zu fordern
- erklären was wir von ihr wollen (unser Projekt und das Ziel kurz umreißen) 
- deklarieren, dass wir das Interview nur deshalb nutzen, um herauszufinden was der Person guttun könnte und sie gebrauchen könnte

_KISS (Keep It Simple, Stupid): "Hallo, ich heisse X, haben Sie Zeit fuer einem kurzem interview ueber Ihre Taegesplanung? Wir versuchen gerade eine App dafuer zu entwickeln und waere dankbar, wenn Sie uns eine paar Fragen beantworten koennen."_


### User specific Questions

- _Wie strukturierst du dein Studium/Alltag? (Persönliche Anekdote einfügen, bspw.  Ich schreibe mir Zettel, Kalender, usw.)_
- _Auf einer Skala von 1 bis 10, wie wichtig ist es für dich, deine Aufgaben und Termine im Voraus zu planen?_
- _Welche Rolle spielen digitale Technologien und Apps in deinem täglichen Leben?_

#### -> Vertiefung der Alltagsorganisation:

- _Wie priorisierst du normalerweise deine Aufgaben und Verpflichtungen?_
- _Nutzt du derzeit irgendwelche digitalen Tools oder Apps zur Organisation deines Alltags? Wenn ja, welche und warum?_
- _Was sind die größten Herausforderungen oder Frustrationen, die du mit den aktuellen Lösungen erlebst?_

### Pains/Needs

- _Passiert es dir auch manchmal, dass du die alltäglichen Aufgaben beiseite schiebst oder vergisst?_
- _Also ich schiebe den Wäscheberg manchmal zwei Wochen vor mich her, mit der Konsequenz, dass der Schrank manchmal leer ist - hast du auch ab und zu solche Momente?_
- _Gibt es für dich eine Sache, oder eine Aufgabe, die immer zu kurz kommt - wie z.B. Wasser zu trinken - und du würdest es gerne ändern, weißt aber nicht wie?_
- _Wie wichtig ist es für dich, eine Balance zwischen (Arbeit,) Studium und Freizeitaktivitäten zu finden? Welche Hindernisse treten dabei oft auf?_
- _Prokastinierst du, da Sie keine Motivation haben, um an deine Plan zu halten?_


#### Weitere Bedürfnisse: 
- _Beschreibe einen typischen Tag, an dem du Schwierigkeiten hast, deine Aufgaben zu bewältigen. Was fehlt dir in solchen Momenten?_
- _Gibt es spezifische Aufgaben oder Aktivitäten, die du besonders oft vergisst oder vernachlässigst?_
- _Wie gehst du mit Stress um, der durch unerledigte Aufgaben verursacht wird?_
- _Hast du jemals versucht, verschiedene Methoden oder Techniken (apps, TODO lists, usw) zur Aufgabenorganisation auszuprobieren? - Wenn ja, welche haben für dich am besten funktioniert?_




### Addressing the solution
---
- _Könntest du dir vorstellen, deine täglichen Aufgaben visuell oder grafisch zu organisieren? Zum Beispiel mit einem Kalender oder einem Kanban-Board, um Erinnerungen und Aufgaben zu verwalten?_
- _Mal angenommen, du hättest eine App, in der du deine ganzen Aufgaben eintragen und verwalten würdest - wäre das eine Erleichterung für dich?_
- _Manche Ziele sind ja schwer alleine zu erreichen, sprichst du manchmal mit deinen Freunden oder Eltern über ein bestimmtes Ziel und holst dir da eine mentale Unterstützung?_
- _Wie wäre es, wenn du deinen Besten Freund mit ins Boot holen würdest, der dich dabei unterstützt; also indem er sieht wie weit du gekommen bist und dir jederzeit Mut machen könnte? Kannst du dir vorstellen, das in besagter App als Funktion wiederzufinden?_
- _Was wäre für dich ein absolutes Must-Have-Kriterium in der App, damit du sie in deinem Alltag integrieren könntest?
Stell dir vor, du hast in der App Widgets für bestimmte Aufgaben, was müsste das Widget deiner Meinung nach können?_

- _Wie wichtig ist die Benutzeroberfläche und das Design einer App für dich? Was macht eine App angenehm zu nutzen?_
- _Wie wichtig ist es für dich, dass eine Organisations-App dich bei der Verfolgung langfristiger Ziele und Projekte unterstützt?_
- _Wie wichtig ist es für dich, dass die App einfach und intuitiv zu bedienen ist, auch ohne eine ausführliche Anleitung?_

### Ende/Zusammenfassung
---
- _Hast du noch andere Ideen oder Features für diese App, die du nützlich finden würdest?_
- _Vielen Dank für deine Zeit und dein Feedback. Hier ist eine kurze Zusammenfassung unserer Besprechung: [Füge Zusammenfassung hier ein]_.
- _Gibt es noch etwas, das du hinzufügen möchtest oder an das du gerade denkst? Ok, dann sind wir fertig. Das war echt super, dass du mir soviel input gegeben hast._
_(Wir können gern Whatsapp / Discord austauschen und ich geb dir bescheid, wenn die App fertig ist)_



## Interview Zusammenfassungen

### Interview 1

- _Ehemaliger Dualer Student Informatik; im 3. Fachsemester_
- _Verbleibt an der Hochschule, weil das Umfeld motiviert, seine Aufgaben zu erledigen._
- _Prokrastination ist der größte Feind, daher Mediennutzung nur noch Zweckgebunden eingesetzt und andere Hobbies aufgegeben._
- _Lässt sich nicht durch Apps oder andere vom Spielen abbringen._
- _Denkt, die Pomodoro Funktion ist redundant, da man selbst genug an Pausen denkt._
- _Timelines und Boards helfen sich selbst einen Überblick über die erbrachte Leistung zu verschaffen._
- _Die Verknüpfung der App mit anderen Apps, wie z.B. Health oder Google-Calendar würde sehr praktisch sein, da man nicht immer die App wechseln müsste um sich auf den neusten Stand zu bringen._
- _Ein Newsfeed mit neusten Themen z.B. IT-Sicherheit wäre ebenfalls super._
- > _"Die App könnte mir dabei helfen, motivierter zu sein, indem  ein Buddy mir das Gefühl gibt, nicht alleine zu sein."_


### Interview 2

- _Student im 4. Semester Informatik, ADHS_
- _Fehlt Struktur im Alltag, trotz mehrerer Anläufe mit verschiedener Apps._
- _Priorisierung und Aufgabenplanung derzeit nur theoretisch._
- _Der Haushalt wird oft aufgeschoben._
- _Ist in einer Beziehung, in der die Planung auch immer den Partner mitbetrifft._
- _Denkt, Pomodoro ist nicht geeignet, da man entweder selbst die freie Zeit bestimmt, oder in einem "Flow" zum Arbeiten ist, den man lieber nicht unterbricht._
- _Zwei Kategorien: short- und long-term würden bei den Aufgaben gut sein. Insbesondere long-term Aufgaben sollten immer sichtbar sein._
- _Timelines und Boards helfen den Überblick zu behalten. Zusätzlich sollten einige Aufgaben auf dem Home-Screen abgebildet werden._
- _Benachrichtigungen sind ein wichtiges Thema, denn je öfter an eine Aufgabe erinnert wird, desto weniger kann es vergessen werden._
- > _"Ein Buddy, der mich bemuttert, statt mir bei den Aufgaben zu helfen, brauche ich nicht. Dafür wäre eine Spracherkennung für die Aufgabenerstellung sehr nützlich."_




## **Persona

### Ernie
<figure markdown="span">
  ![Ernie](https://image.vip.de/23176252/t/49/v2/w960/r1.5/-/kultserie-stromberg-was-wurde-aus-christoph-maria-herbst-diana-staehly---co--jpg--article-image-56279185-.jpg){width=200}
  <figcaption>
    "Die App kann mich nicht kontrollieren, da bin ich Egoistisch" - Ernie
  </figcaption>
</figure>

_**Alter**: Zwischen 20 und 25 Jahren_
_**Ausbildung**: Drittes Fachsemester / 11tes Studiensemester (hat früher ein Dual bei einem Telekommunikationsanbieter studiert)_
**_Lebensstil_**: 
- _Ernie führt einen eher unstrukturierten Alltag, versucht jedoch, wichtige Aufgaben in der Universität zu erledigen._
- _Die Alltagsplanung ist ihm sehr wichtig, und er ist inflexibel, wenn es um die Umsetzung seiner Pläne geht._
- _Er hat vor einem Jahr seine Nutzung von Social Media und YouTube stark reduziert und konzentriert sich nun auf grundlegende digitale Anwendungen wie Organisations- und Home-Automatisierungs-Apps._

**_Herausforderungen und Bedürfnisse_**: 
- _Ernie hat Schwierigkeiten, seine Aufgaben zu organisieren und neigt dazu, zu prokrastinieren._
- _Er legt Wert auf eine ausgewogene Work-Life-Balance und investiert mittlerweile mehr Zeit in seine Freizeit._
- _Motivationssteigerung und eine verbesserte Produktivität sind für ihn von Interesse, insbesondere durch Tools, die ihm helfen, seine Zeit effektiver zu nutzen und gesunde Gewohnheiten zu fördern._

**_Präferenzen und Wünsche_**: 
- _Ernie bevorzugt einfache und anpassbare Benutzererfahrung._
- _Er würde es begrüßen, Funktionen wie eine ToDo-Liste mit Timelines und wiederkehrende Aufgaben in einer App zu haben._
- _Zusätzliche Funktionen wie ein Gesundheitstracker, Integration mit Kalendern und ein Newsfeed zu aktuellen Themen wären für ihn interessant._
- _Das Buddy-System, das ihm Motivation und ein Gemeinschaftsgefühl bietet, könnte für ihn besonders ansprechend sein._


### Bert

<figure markdown="span">
  ![Bert](https://images.berliner-kurier.de/2014/1/26/f722151e-efea-304d-b625-9c62ae936016.jpg?auto=format&fit=max&w=1880&auto=compress){width=200}
  <figcaption>
   "...aber die Freundin stört oft die Pläne." - Bert
  </figcaption>
</figure>

_**Alter**: Zwischen 20 und 25 Jahren_
_**Studium**: Informatik mit Schwerpunkt auf Künstliche Maschinenintelligenz, viertes Semester/ zweites Fachsemester_
_**Lebensstil**:_
- _Bert verwendet Produktivitätstools wie Notion und den iOS Kalender, allerdings nutzt er diese nicht sehr aktiv._
- _Sein Alltag ist nicht stark strukturiert, was ihm Unzufriedenheit bereitet._
 
**_Herausforderungen und Bedürfnisse_**:  
- _Bert sucht aktiv nach neuen Apps, um seinen Alltag besser strukturieren zu können._
- _Er hat Schwierigkeiten mit der Motivation, insbesondere bei Haushaltsaufgaben, und verschiebt diese oft._
- _Er wünscht sich Möglichkeiten, gemeinsam mit seiner Freundin Planungen vornehmen zu können, was auf den Bedarf an kollaborativen Funktionen hinweist._

**_Präferenzen und Wünsche_**: 
- _Die Customizability und Variabilität von Notion gefallen ihm besonders gut, da er verschiedene Vorlagen miteinander verlinken kann._
- _Ein Buddy-System empfindet Bert als eher störend; er präferiert automatisierte Systeme, die seine Motivation unterstützen könnten._
- _Er interessiert sich für Widgets, die eine direkte Einsicht in seine Produktivität und Freizeit bieten, wie ein Timer-Widget, das Arbeits- und Belohnungszeiten darstellt._
- _Eine Übersicht über tägliche Ziele und ein Wassertrink-Widget direkt auf dem Home-Screen würden ihm ebenfalls zusagen._

**_Technische Vorlieben_**: 
- _Er benötigt schnellen Zugriff auf Übersichtsseiten und viele, penetrante Benachrichtigungen aufgrund seiner ADHS._
- _Bert interessiert sich für Alltagsorganisation und würde es begrüßen, langfristige Projekte in diese Organisation mit einzubeziehen._
- _Eine Spracherkennung für das schnelle Hinzufügen von Aufgaben wäre eine hilfreiche Funktion._**

_


## MVP

![demo0](assets/images/mvp_table.png)


An der Tabelle ist zu erkennen, dass sowohl Ernie als auch Bert das Wasser-Widget haben wollen. Dementsprechend ist das unser Höchstpriorisiertes Feature. Danach kommt das Timer-Widget. Das Task-Widget ist für Ernie Relevant, für Bert aber nicht. Ernie findet das Buddy-System gut, Bert aber nicht.
Niemand mag Pomodoro.



## Scenarios

### Tom
_Tom, ein Informatikstudent im 3. Semester wird in der Mensa von seinem Kollegen Tim gefragt, ob sie beide am verlängerten Wochenende raften wollen. Tom schaut kurz auf sein Mobile und entdeckt eine Aufgabe auf dem Home-Screen, die er noch gar nicht angefangen hat - und die Abgabe als PVL ist Dienstag. Dank unserer App hat Tom das Studium erfolgreich abgeschlossen und ist hinterher 3 Wochen lang mit Tim raften gegangen._

### Tina
_Tina ist eine beschäftigte Studentin mit einem vollen Stundenplan aus Vorlesungen, Hausarbeiten und außeruniversitären Aktivitäten. Sie kämpft damit, organisiert zu bleiben und vergisst oft wichtige Fristen. Tina beschließt, eine Produktivitäts-App zu verwenden, um ihre Zeit effektiver zu managen. Sie lädt die App herunter und beginnt, deren Funktionen zu erkunden, auf der Suche nach Tools, die ihr helfen, Aufgaben zu priorisieren und ihren Fortschritt zu verfolgen. Tina richtet Benachrichtigungen ein, um sich an bevorstehende Deadlines zu erinnern, und nutzt die Kalenderansicht der App, um ihre Woche zu planen. Mit der Hilfe der App fühlt sich Tina mehr in der Lage, ihren Zeitplan zu kontrollieren und ist zuversichtlicher, ihre Verpflichtungen einhalten zu können._







## Mkdocs snippets
- unordered list with - and four spaces for sub list
- ordered list with 1.
- links with [mkdocs-material](https://squidfunk.github.io/mkdocs-material/reference/)
- references defined in docs/lit.bib may be referenced with [@hciscript]
- reference a chapter of your docs [demo](./3-Design.md#demo)
- code snippets

```dart
Future<void> printOrderMessage() async {
  print('Awaiting user order...');
  var order = await fetchUserOrder();
  print('Your order is: $order');
}
```


/*
- You may include images like this

![demo1](assets/images/mobile.jpg)

![demo2](assets/images/mobile.jpg){: height="5em" width="5em"}


	
<figure markdown="span">
  ![UX Methods](https://media.nngroup.com/media/editor/2017/01/12/ux_methods_activities_nng_800px.png){width=200}
  <figcaption>
    <a href="https://www.nngroup.com/articles/ux-research-cheat-sheet/">UX Research Cheat Sheet</a>: UX Methods
  </figcaption>
</figure>

- admonitions

!!! note
	this is a note
	
!!! abstract "title"
	this is an admonition with title
	
!!! info ""
	an info without title
	
!!! tip
	a tip

!!! example
	an example


!!! warning
	a warning
	
!!! cite
	"this is a cite"[@hciscript]

- [mermaid graphics](https://mermaid.js.org/intro/)

``` mermaid
graph LR
  A[Start] --> B[stakeholders] --> C[problem and context] --> D[classes of users] -->E[hypothesis] --> F[interview questions];
  D --> G[persona];
  F --> G;
  C --> H[scenarios];
  F --> H;
  G --> H;
```

- [emojis](https://squidfunk.github.io/mkdocs-material/reference/icons-emojis/)
	- :smile:
	- :video_camera:
	- :fontawesome-solid-user:
